Get Campaign Restriction
curl --request GET \
--url https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.topsort.com/public/v1/campaign-service/campaigns/{campaign-id}/restrictions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"restrictions": [
{
"id": 123,
"campaignId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"marketplaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"restrictionType": {
"id": 123
},
"limit": 123,
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Campaign API
Get Campaign Restriction
Endpoint to get campaign restrictions.
GET
/
public
/
v1
/
campaign-service
/
campaigns
/
{campaign-id}
/
restrictions
Get Campaign Restriction
Autorisierungen
A valid API key generated in Topsort's UI. Use the TSE API key if calling auctions or events API, otherwise use the TSC API key.
Pfadparameter
The ID of the campaign.
Antwort
Successful Response
Show child attributes
Show child attributes
War diese Seite hilfreich?
⌘I